%define pyname  PySide2

%define qttarballdir pyside-setup-opensource-src

Name:           pyside2
Version:        5.15.6
Release:        %mkrel 1
License:        LGPLv2+
Summary:        The PySide2 project provides LGPL-licensed Python bindings for the Qt5
Group:          Development/Python
URL:            https://wiki.qt.io/Qt_for_Python
Source0:        https://download.qt.io/official_releases/QtForPython/pyside2/PySide2-%{version}-src/%{qttarballdir}-%{version}.tar.xz
# Upstream patches
Patch0: fix-build.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(Qt53DCore)
BuildRequires:  pkgconfig(Qt5Charts)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DataVisualization)
BuildRequires:  pkgconfig(Qt5Designer)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Location)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5MultimediaWidgets)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5Positioning)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5QuickControls2)
BuildRequires:  pkgconfig(Qt5QuickWidgets)
BuildRequires:  pkgconfig(Qt5RemoteObjects)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5ScriptTools)
BuildRequires:  pkgconfig(Qt5Scxml)
BuildRequires:  pkgconfig(Qt5Sensors)
BuildRequires:  pkgconfig(Qt5SerialPort)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5TextToSpeech)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5WebChannel)
BuildRequires:  pkgconfig(Qt5WebEngine)
BuildRequires:  pkgconfig(Qt5WebSockets)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5XmlPatterns)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(shiboken2) >= %{version}
BuildRequires:  pkgconfig(python3)

%description
The PySide2 project provides LGPL-licensed Python3 bindings for the Qt5
cross-platform application and UI framework. PySide2 Qt5 bindings allow both free
open source and proprietary software development and ultimately aim to support
all of the platforms as Qt5 itself.

#------------------------------------------------------------------------------

%define py3major   5.15
%define py3libname %mklibname %{name}-python%{python3_version}_ %{py3major}

%package -n     %{py3libname}
Summary:        PySide2 core library
Group:          System/Libraries

%description -n %{py3libname}
Python3 PySide2 core library.

%files -n %{py3libname}
%{_libdir}/lib%{name}.cpython-%{python3_version_nodots}*.so.%{py3major}*

#------------------------------------------------------------------------------

%define py3libname_dev %mklibname %{name}-python%{python3_version} -d

%package -n     %{py3libname_dev}
Summary:        Development files for Python3 PySide2
Group:          Development/Python
Requires:       %{py3libname} = %{version}-%{release}
Requires:       python3-%{name} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{py3libname_dev}
Development files for Python3 PySide2.

%files -n %{py3libname_dev}
%{_includedir}/%{pyname}/
%{_libdir}/lib%{name}.cpython-%{python3_version_nodots}*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/%{pyname}-%{version}/
%dir %{_datadir}/%{pyname}
%{_datadir}/%{pyname}/glue/
%{_datadir}/%{pyname}/typesystems/

#------------------------------------------------------------------------------

%package -n     python3-%{name}
Summary:        The PySide2 project provides LGPL-licensed Python3 bindings for the Qt5
Group:          Development/Python
Requires:       python3-%{name}-core
Requires:       python3-%{name}-3dcore
Requires:       python3-%{name}-3danimation
Requires:       python3-%{name}-3dextras
Requires:       python3-%{name}-3dinput
Requires:       python3-%{name}-3dlogic
Requires:       python3-%{name}-3drender
Requires:       python3-%{name}-charts
Requires:       python3-%{name}-concurrent
Requires:       python3-%{name}-datavisualization
Requires:       python3-%{name}-gui
Requires:       python3-%{name}-help
Requires:       python3-%{name}-location
Requires:       python3-%{name}-multimedia
Requires:       python3-%{name}-multimediawidgets
Requires:       python3-%{name}-network
Requires:       python3-%{name}-opengl
Requires:       python3-%{name}-openglfunctions
Requires:       python3-%{name}-positioning
Requires:       python3-%{name}-printsupport
Requires:       python3-%{name}-qml
Requires:       python3-%{name}-quick
Requires:       python3-%{name}-quickcontrols2
Requires:       python3-%{name}-quickwidgets
Requires:       python3-%{name}-remoteobjects
Requires:       python3-%{name}-script
Requires:       python3-%{name}-scripttools
Requires:       python3-%{name}-scxml
Requires:       python3-%{name}-sensors
Requires:       python3-%{name}-serialport
Requires:       python3-%{name}-sql
Requires:       python3-%{name}-svg
Requires:       python3-%{name}-test
Requires:       python3-%{name}-texttospeech
Requires:       python3-%{name}-uitools
Requires:       python3-%{name}-webchannel
Requires:       python3-%{name}-webengine
Requires:       python3-%{name}-webenginecore
Requires:       python3-%{name}-webenginewidgets
Requires:       python3-%{name}-websockets
Requires:       python3-%{name}-widgets
Requires:       python3-%{name}-x11extras
Requires:       python3-%{name}-xml
Requires:       python3-%{name}-xmlpatterns

%description -n python3-%{name}
The PySide2 project provides LGPL-licensed Python3 bindings for the Qt5
cross-platform application and UI framework. PySide2 Qt5 bindings allow both free
open source and proprietary software development and ultimately aim to support
all of the platforms as Qt5 itself.

This is the Python3 version.

%files -n       python3-%{name}
%doc README.md README.pyside2.md
%doc sources/pyside2/COPYING

#------------------------------------------------------------------------------

%package -n     python3-%{name}-core
Summary:        PySide2 core module
Group:          Development/Python
Requires:       python3-shiboken2 >= %{version}

%description -n python3-%{name}-core
Python3 PySide2 core module.

%files -n       python3-%{name}-core
%dir %{python3_sitearch}/PySide2
%{python3_sitearch}/PySide2/QtCore.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtCore.pyi
%{python3_sitearch}/PySide2/__init__.py*
%{python3_sitearch}/PySide2/_config.py*
%{python3_sitearch}/PySide2/_git_pyside_version.py*

#------------------------------------------------------------------------------

%package -n     python3-%{name}-3dcore
Summary:        PySide2 3D core module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-3dcore
Python3 PySide2 3D core module.

%files -n       python3-%{name}-3dcore
%{python3_sitearch}/PySide2/Qt3DCore.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/Qt3DCore.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-3danimation
Summary:        PySide2 3D animation module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-3danimation
Python3 PySide2 3D animation module.

%files -n       python3-%{name}-3danimation
%{python3_sitearch}/PySide2/Qt3DAnimation.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/Qt3DAnimation.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-3dextras
Summary:        PySide2 3D extras module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-3dextras
Python3 PySide2 3D extras module.

%files -n       python3-%{name}-3dextras
%{python3_sitearch}/PySide2/Qt3DExtras.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/Qt3DExtras.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-3dinput
Summary:        PySide2 3D input module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-3dinput
Python3 PySide2 3D input module.

%files -n       python3-%{name}-3dinput
%{python3_sitearch}/PySide2/Qt3DInput.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/Qt3DInput.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-3dlogic
Summary:        PySide2 3D logic module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-3dlogic
Python3 PySide2 3D logic module.

%files -n       python3-%{name}-3dlogic
%{python3_sitearch}/PySide2/Qt3DLogic.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/Qt3DLogic.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-3drender
Summary:        PySide2 3D render module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-3drender
Python3 PySide2 3D render module.

%files -n       python3-%{name}-3drender
%{python3_sitearch}/PySide2/Qt3DRender.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/Qt3DRender.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-charts
Summary:        PySide2 charts module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-charts
Python3 PySide2 charts module.

%files -n       python3-%{name}-charts
%{python3_sitearch}/PySide2/QtCharts.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtCharts.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-concurrent
Summary:        PySide2 concurrent module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-concurrent
Python3 PySide2 concurrent module.

%files -n       python3-%{name}-concurrent
%{python3_sitearch}/PySide2/QtConcurrent.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtConcurrent.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-datavisualization
Summary:        PySide2 Data Visualization module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-datavisualization
Python3 PySide2 Data Visualization module.

%files -n       python3-%{name}-datavisualization
%{python3_sitearch}/PySide2/QtDataVisualization.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtDataVisualization.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-gui
Summary:        PySide2 gui module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-gui
Python3 PySide2 gui module.

%files -n       python3-%{name}-gui
%{python3_sitearch}/PySide2/QtGui.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtGui.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-help
Summary:        PySide2 help module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-help
Python3 PySide2 help module.

%files -n       python3-%{name}-help
%{python3_sitearch}/PySide2/QtHelp.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtHelp.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-location
Summary:        PySide2 location module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-location
Python3 PySide2 location module.

%files -n       python3-%{name}-location
%{python3_sitearch}/PySide2/QtLocation.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtLocation.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-multimedia
Summary:        PySide2 multimedia module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-multimedia
Python3 PySide2 multimedia module.

%files -n       python3-%{name}-multimedia
%{python3_sitearch}/PySide2/QtMultimedia.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtMultimedia.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-multimediawidgets
Summary:        PySide2 multimedia widgets module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-multimediawidgets
Python3 PySide2 multimedia widgets module.

%files -n       python3-%{name}-multimediawidgets
%{python3_sitearch}/PySide2/QtMultimediaWidgets.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtMultimediaWidgets.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-network
Summary:        PySide2 network module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-network
Python3 PySide2 network module.

%files -n       python3-%{name}-network
%{python3_sitearch}/PySide2/QtNetwork.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtNetwork.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-opengl
Summary:        PySide2 opengl module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-opengl
Python3 PySide2 opengl module.

%files -n       python3-%{name}-opengl
%{python3_sitearch}/PySide2/QtOpenGL.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtOpenGL.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-openglfunctions
Summary:        PySide2 opengl functions module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-openglfunctions
Python3 PySide2 opengl functions module.

%files -n       python3-%{name}-openglfunctions
%{python3_sitearch}/PySide2/QtOpenGLFunctions.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtOpenGLFunctions.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-positioning
Summary:        PySide2 positioning module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}
Requires:       qtpositioning5

%description -n python3-%{name}-positioning
Python3 PySide2 positioning module.

%files -n       python3-%{name}-positioning
%{python3_sitearch}/PySide2/QtPositioning.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtPositioning.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-printsupport
Summary:        PySide2 printsupport module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-printsupport
Python3 PySide2 printsupport module.

%files -n       python3-%{name}-printsupport
%{python3_sitearch}/PySide2/QtPrintSupport.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtPrintSupport.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-qml
Summary:        PySide2 qml module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-qml
Python3 PySide2 qml module.

%files -n       python3-%{name}-qml
%{python3_sitearch}/PySide2/QtQml.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtQml.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-quick
Summary:        PySide2 quick module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-quick
Python3 PySide2 quick module.

%files -n       python3-%{name}-quick
%{python3_sitearch}/PySide2/QtQuick.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtQuick.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-quickcontrols2
Summary:        PySide2 quick controls2  module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-quickcontrols2
Python3 PySide2 quick controls2 module.

%files -n       python3-%{name}-quickcontrols2
%{python3_sitearch}/PySide2/QtQuickControls2.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtQuickControls2.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-quickwidgets
Summary:        PySide2 quick widgets module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-quickwidgets
Python3 PySide2 quick widgets module.

%files -n       python3-%{name}-quickwidgets
%{python3_sitearch}/PySide2/QtQuickWidgets.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtQuickWidgets.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-remoteobjects
Summary:        PySide2 remote objects module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-remoteobjects
Python3 PySide2 remote objects module.

%files -n       python3-%{name}-remoteobjects
%{python3_sitearch}/PySide2/QtRemoteObjects.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtRemoteObjects.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-script
Summary:        PySide2 script module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-script
Python3 PySide2 script module.

%files -n       python3-%{name}-script
%{python3_sitearch}/PySide2/QtScript.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtScript.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-scripttools
Summary:        PySide2 script tools module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-scripttools
Python3 PySide2 script tools module.

%files -n       python3-%{name}-scripttools
%{python3_sitearch}/PySide2/QtScriptTools.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtScriptTools.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-scxml
Summary:        PySide2 scxml module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}
Requires:       qtscxml5

%description -n python3-%{name}-scxml
Python3 PySide2 scxml module.

%files -n       python3-%{name}-scxml
%{python3_sitearch}/PySide2/QtScxml.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtScxml.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-sensors
Summary:        PySide2 sensors module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-sensors
Python3 PySide2 sensors module.

%files -n       python3-%{name}-sensors
%{python3_sitearch}/PySide2/QtSensors.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtSensors.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-serialport
Summary:        PySide2 serial port module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-serialport
Python3 PySide2 serial port module.

%files -n       python3-%{name}-serialport
%{python3_sitearch}/PySide2/QtSerialPort.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtSerialPort.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-sql
Summary:        PySide2 sql module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-sql
Python3 PySide2 sql module.

%files -n       python3-%{name}-sql
%{python3_sitearch}/PySide2/QtSql.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtSql.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-svg
Summary:        PySide2 svg module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-svg
Python3 PySide2 svg module.

%files -n       python3-%{name}-svg
%{python3_sitearch}/PySide2/QtSvg.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtSvg.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-test
Summary:        PySide2 test module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-test
Python3 PySide2 test module.

%files -n       python3-%{name}-test
%{python3_sitearch}/PySide2/QtTest.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtTest.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-texttospeech
Summary:        PySide2 text to speech module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-texttospeech
Python3 PySide2 text to speech module.

%files -n       python3-%{name}-texttospeech
%{python3_sitearch}/PySide2/QtTextToSpeech.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtTextToSpeech.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-uitools
Summary:        PySide2 ui tools module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-uitools
Python3 PySide2 ui tools module.

%files -n       python3-%{name}-uitools
%{python3_sitearch}/PySide2/QtUiTools.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtUiTools.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-webchannel
Summary:        PySide2 web channel module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-webchannel
Python3 PySide2 web channel module.

%files -n       python3-%{name}-webchannel
%{python3_sitearch}/PySide2/QtWebChannel.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtWebChannel.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-webengine
Summary:        PySide2 web engine module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-webengine
Python3 PySide2 web engine module.

%files -n       python3-%{name}-webengine
%{python3_sitearch}/PySide2/QtWebEngine.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtWebEngine.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-webenginecore
Summary:        PySide2 web engine core module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-webenginecore
Python3 PySide2 web engine core module.

%files -n       python3-%{name}-webenginecore
%{python3_sitearch}/PySide2/QtWebEngineCore.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtWebEngineCore.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-webenginewidgets
Summary:        PySide2 web engine widgets module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-webenginewidgets
Python3 PySide2 web engine widgets module.

%files -n       python3-%{name}-webenginewidgets
%{python3_sitearch}/PySide2/QtWebEngineWidgets.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtWebEngineWidgets.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-websockets
Summary:        PySide2 web sockets module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-websockets
Python3 PySide2 web sockets module.

%files -n       python3-%{name}-websockets
%{python3_sitearch}/PySide2/QtWebSockets.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtWebSockets.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-widgets
Summary:        PySide2 widgets module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-widgets
Python3 PySide2 widgets module.

%files -n       python3-%{name}-widgets
%{python3_sitearch}/PySide2/QtWidgets.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtWidgets.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-x11extras
Summary:        PySide2 x11extras module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-x11extras
Python3 PySide2 x11extras module.

%files -n       python3-%{name}-x11extras
%{python3_sitearch}/PySide2/QtX11Extras.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtX11Extras.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-xml
Summary:        PySide2 xml module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-xml
Python3 PySide2 xml module.

%files -n       python3-%{name}-xml
%{python3_sitearch}/PySide2/QtXml.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtXml.pyi

#------------------------------------------------------------------------------

%package -n     python3-%{name}-xmlpatterns
Summary:        PySide2 xml patterns module
Group:          Development/Python
Requires:       python3-%{name}-core = %{version}

%description -n python3-%{name}-xmlpatterns
Python3 PySide2 xml patterns module.

%files -n       python3-%{name}-xmlpatterns
%{python3_sitearch}/PySide2/QtXmlPatterns.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/PySide2/QtXmlPatterns.pyi

### End of Python 3

#------------------------------------------------------------------------------

%prep
# (akien) Sigh... Maintenance update, they didn't bother changing the dir name.
%setup -qn %{qttarballdir}-%{version}
%apply_patches

%build
pushd sources/pyside2
%cmake \
        -DBUILD_TESTS=OFF \
        -DPYTHON_EXECUTABLE=%{__python3}
%cmake_build
popd

%install
rm -rf %buildroot
%make_install -C sources/pyside2/build

cp -a sources/pyside2/build/PySide2/*.pyi %{buildroot}%{python3_sitearch}/PySide2/


%changelog
* Wed Oct 12 2022 tex - 5.15.6-1pclos2022
- new version
